<% content_for :side_bar do %>
	<%= render 'side_bar' %>
<% end %>


<div class="site-map">
  <%= render :partial => 'sitemap_block', :collection => @items %>
</div>

<% content_for :page_specific_javascript do %>
	<%= javascript_include_tag "lib/jquery.masonry.min.js" %>
	    <script>
		    $(document).ready(function(){
	        $('.site-map').masonry({
	            itemSelector: '.map-block',
	            columnWidth: 260,
	            isAnimated: true
	        });
	      });
        $(document).on('click', 'li .onoff', function () {
          $(this).parents("li").toggleClass("disabled");
          if($(this).parents("li").attr("class").indexOf("disabled") > 0){
            $(this).text("<%= t('off_upcase') %>")
          } else {
            $(this).text("<%= t('on_upcase') %>")
          }
          $.getScript('<%= admin_sites_path %>' + '/' + $(this).attr('id') + '/sitemap_toggle');
        });
        $(document).on('click', 'h4 .onoff', function () {
          $(this).parents(".map-block").toggleClass("disabled");
          if($(this).parents("h4").parents("div").attr("class").indexOf("disabled") > 0){
            $(this).text("<%= t('off_upcase') %>")
            $(this).parents(".map-block").find('li').addClass('disabled')
            $(this).parents(".map-block").find('button').text("<%= t('off_upcase') %>")
            $(this).parents(".map-block").find('li button').attr('disabled', 'disabled')
          } else {
            $(this).text("<%= t('on_upcase') %>")
            $(this).parents(".map-block").find('li').removeClass('disabled')
            $(this).parents(".map-block").find('button').text("<%= t('on_upcase') %>")
            $(this).parents(".map-block").find('li button').removeAttr("disabled")
          } 
          $.getScript('<%= admin_sites_path %>' + '/' + $(this).attr('id') + '/sitemap_toggle?parent=true');
        });
    </script>
<% end %>